MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024426Open CASCADE[OCCT] OCCT:WOKpublic2013-12-02 14:072013-12-19 14:00
Reporterdbv 
Assigned Toapn 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024426: CMake ignores 3rd party options; env.sh does not set "CASROOT" environment variable
DescriptionCMakeLists.txt which now placed in the root of occt contains following switchers for 3rd party:
SET(USE_GL2PS OFF CACHE BOOL "whether use gl2ps product or not")
SET(USE_FREEIMAGE OFF CACHE BOOL "whether use freeimage product or not")
SET(USE_TBB OFF CACHE BOOL "whether use tbb product or not")
SET(USE_OPENCL OFF CACHE BOOL "whether use OpenCL or not")

but, generated CMakeList.txt for toolkits (e.g. for TKService: occt/adm/cmake/TKService/CMakeList.txt) contains "if" statement with "3RDPARTY_" prefix:
if(3RDPARTY_USE_FREEIMAGE)
  list( APPEND TKService_USED_LIBS freeimage )
endif()

Also the option "USE_OPENCL" is not checked anywhere, OpenCl always added to the library linking (check CMakeList.txt for TKOpenGl).

Moreover after "make install" command copied "env.sh" script does not contain path setting for "CASROOT" environment variable.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024331closedabv CMake scripts improvements 

-  Notes
(0027033)
dbv (developer)
2013-12-02 16:58

Dear ibs,

please check the "env.sh" script carefully. For example:

>> export CSF_XSMessage="SCRIPTROOT/res/XSMessage"
points to strange location (SCRIPTROOT ?)

>> export CSF_PluginDefaults="${aScriptPath}/res/StdResource"
in the installation directory there is no "res" folder, all necessary folders are copied to the "src" directory

Also i recommend adding interpreter line (#!/bin/bash) in the "env.sh" script
(0027039)
ibs (developer)
2013-12-03 10:51

dbv, thank for found bugs)

corrected the 3rdparty variables
added USE_OPENCL

res folder is absent due to all the resources were moved to scr folder

looking for setting of CASROOT variable
(0027040)
ibs (developer)
2013-12-03 11:01

dbv,

>Moreover after "make install" command copied "env.sh" script does not contain path setting for "CASROOT" environment variable.

after installing CASROOT variable should point to current folder and therefore it should be empty.

or are some bugs there?
(0027041)
ibs (developer)
2013-12-03 11:29

dbv please review CR24426 branches of OCCT and WOK git
(0027048)
ibs (developer)
2013-12-03 13:47

dbv, please review the latest changes in CR24426 occt and wok git
(0027052)
dbv (developer)
2013-12-03 15:47

Removed "echo off" from shell script, other changes seems to be ok.

Dear bugmaster, please check occt compilation with cmake on Windows and *nix stations. Patch for WOK from branch CR24426 should be applied.
(0027129)
bugmaster (administrator)
2013-12-09 12:28

Fix has been integrated into master of occt-wok repository
(0027224)
ibs (developer)
2013-12-16 18:05

Please integrate CR24426 OCCT branch

- Related Changesets
occt: master a0726e55
Timestamp: 2013-12-16 14:05:20
Author: ibs
Committer: apn
Details ] Diff ]
0024426: CMake ignores 3rd party options; env.sh does not set "CASROOT" environment variable

unrelative changes: #!/bin/bash line was added to env.sh.in
CMake: debug environment was removed for the time being; env.sh and env.bat templates were refactored
possibility of using of redundant command line parameters were removed from env.sh & env.bat scripts
tcl installation corrected;
Removed "echo off" from shell script
mod - adm/templates/draw.bat Diff ] File ]
mod - adm/templates/draw.sh Diff ] File ]
mod - adm/templates/env.bat.in Diff ] File ]
mod - adm/templates/env.sh.in Diff ] File ]
mod - adm/templates/tcl.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-02 14:07 dbv New Issue
2013-12-02 14:07 dbv Assigned To => kgv
2013-12-02 14:17 kgv Assigned To kgv => ibs
2013-12-02 14:17 kgv Status new => assigned
2013-12-02 14:40 dbv Relationship added related to 0024331
2013-12-02 16:58 dbv Note Added: 0027033
2013-12-03 10:51 ibs Note Added: 0027039
2013-12-03 11:01 ibs Note Added: 0027040
2013-12-03 11:29 ibs Note Added: 0027041
2013-12-03 11:29 ibs Assigned To ibs => dbv
2013-12-03 11:29 ibs Status assigned => resolved
2013-12-03 11:45 ibs Assigned To dbv => ibs
2013-12-03 11:45 ibs Status resolved => assigned
2013-12-03 13:47 ibs Note Added: 0027048
2013-12-03 13:47 ibs Assigned To ibs => dbv
2013-12-03 13:47 ibs Status assigned => resolved
2013-12-03 15:47 dbv Note Added: 0027052
2013-12-03 15:47 dbv Assigned To dbv => bugmaster
2013-12-03 15:47 dbv Status resolved => reviewed
2013-12-09 12:28 bugmaster Note Added: 0027129
2013-12-09 12:28 bugmaster Status reviewed => verified
2013-12-09 12:28 bugmaster Resolution open => fixed
2013-12-09 12:28 bugmaster Assigned To bugmaster => ibs
2013-12-16 18:05 ibs Note Added: 0027224
2013-12-16 18:05 ibs Assigned To ibs => bugmaster
2013-12-16 18:05 ibs Status verified => assigned
2013-12-18 14:01 apn Changeset attached => occt master a0726e55
2013-12-18 14:01 apn Assigned To bugmaster => apn
2013-12-18 14:01 apn Status assigned => verified
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker